:
# NAME:
#	temp.sh - creat a private temp directory
#
# DESCRIPTION:
#	We create a private temp directory.
#	Use 'atextit' ``rm -rf $TEMP'' to clean it up.
#
# SEE ALSO:
#	atexit.sh
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>

# RCSid:
#	$Id: temp.sh,v 1.8 2022/04/10 15:30:17 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

_TEMP_SH=:
$_MKTEMP_SH . ${RC_D:-/etc/rc_d}/mktemp.sh

TEMP=`$MKTEMP -d -t ${Myname:-td}`
[ -d ${TEMP:-/dev/null} ] || exit 1
TMP=`cd $TEMP && pwd`
export TMP
# should use atexit rm -rf $TEMP
